[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCClient.Disconnect

Disconnect from the server

## Declaration

Source position: simpleipc.pp line 265

`public procedure TSimpleIPCClient.Disconnect;`

## Description

Disconnect shuts down the connection with the server as previously set up with Connect. Disconnect is called automatically if the Active property is set to False.

After a successful call to Disconnect, messages can no longer be sent to the server. Attempting to do so will result in an exception.

Calling Disconnect if there is no connection has no effect.

## Errors

If creating the connection fails, an EIPCError exception may be raised.

## See also

Active |  | Communication channel active
Connect |  | Connect to the server